Bug 61719

Summary: FELightingNEON.h not compilable on arm
Product: WebKit Reporter: Oleg Romashin (:romaxa) <romaxa>
Component: PlatformAssignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: ademar, benjamin, commit-queue, webkit.review.bot
Priority: P1 Keywords: Qt, QtTriaged
Version: 528+ (Nightly build)   
Hardware: Other   
OS: Linux   
Attachments:
Description Flags
Fix compilation with debug enabled
none
Fixed changelog none

Description Oleg Romashin (:romaxa) 2011-05-29 20:58:54 PDT
FELightingNEON.h:148 - ASSERT(m_lightSource.type == LS_DISTANT); - should be lightSource->type()
Comment 1 Oleg Romashin (:romaxa) 2011-05-29 21:03:32 PDT
Created attachment 95321 [details]
Fix compilation with debug enabled
Comment 2 WebKit Review Bot 2011-05-29 21:05:45 PDT
Attachment 95321 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'Source/WebCore/ChangeLog', u'Source/WebCor..." exit_code: 1

Source/WebCore/ChangeLog:1:  ChangeLog entry has no bug number  [changelog/bugnumber] [5]
Total errors found: 1 in 2 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 3 Oleg Romashin (:romaxa) 2011-05-30 10:30:23 PDT
Created attachment 95353 [details]
Fixed changelog
Comment 4 WebKit Commit Bot 2011-05-31 05:43:24 PDT
Comment on attachment 95353 [details]
Fixed changelog

Clearing flags on attachment: 95353

Committed r87723: <http://trac.webkit.org/changeset/87723>
Comment 5 WebKit Commit Bot 2011-05-31 05:43:28 PDT
All reviewed patches have been landed.  Closing bug.
Comment 6 Ademar Reis 2011-05-31 07:04:05 PDT
Revision r87723 cherry-picked into qtwebkit-2.2 with commit 79b6bea <http://gitorious.org/webkit/qtwebkit/commit/79b6bea>